org.eclnt.jsfserver.util

## Class IAutoCompleteProvider3.AutoCompleteItem

- java.lang.Object
- - org.eclnt.jsfserver.util.IAutoCompleteProvider3.AutoCompleteItem

- Enclosing interface:
    IAutoCompleteProvider3

      public static class IAutoCompleteProvider3.AutoCompleteItem
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutoCompleteItem(java.lang.String text)`
    `AutoCompleteItem(java.lang.String text, java.lang.String id)` Convenience constructor.
    `AutoCompleteItem(java.lang.String text, java.lang.String id, java.lang.String comment)` Convenience constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()`
    `java.lang.String` | `getId()`
    `java.lang.String` | `getImage()`
    `java.lang.String` | `getText()`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setId(java.lang.String id)`
    `void` | `setImage(java.lang.String image)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AutoCompleteItem

          public AutoCompleteItem(java.lang.String text)

    - #### AutoCompleteItem

          public AutoCompleteItem(java.lang.String text,
                                  java.lang.String id)

      Convenience constructor.

    - #### AutoCompleteItem

          public AutoCompleteItem(java.lang.String text,
                                  java.lang.String id,
                                  java.lang.String comment)

      Convenience constructor.

  - ### Method Detail

    - #### getText

          public java.lang.String getText()

    - #### getId

          public java.lang.String getId()

    - #### setId

          public void setId(java.lang.String id)

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getImage

          public java.lang.String getImage()

    - #### setImage

          public void setImage(java.lang.String image)

Copyright © CaptainCasa Gmbh. All Rights Reserved.